cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/components/cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d/objects/a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e/custom_objects/co_7e9b1d3f5a2c4e6b8d0f2a4c6e8b1d3f/instances/coi_2c4e6a8b0d1f4a3c5e7b9d0f2a4c6e8b" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"custom_object_instance": {
"attributes": []
}
}'from exsited import build_client
client = build_client()
response = client.custom_components.update_component_object_custom_object_instance(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
"co_7e9b1d3f5a2c4e6b8d0f2a4c6e8b1d3f",
"coi_2c4e6a8b0d1f4a3c5e7b9d0f2a4c6e8b",
{"custom_object_instance": {"attributes": []}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customComponents.updateComponentObjectCustomObjectInstance(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
'co_7e9b1d3f5a2c4e6b8d0f2a4c6e8b1d3f',
'coi_2c4e6a8b0d1f4a3c5e7b9d0f2a4c6e8b',
{custom_object_instance: {attributes: []}},
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customComponents->updateComponentObjectCustomObjectInstance(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
'co_7e9b1d3f5a2c4e6b8d0f2a4c6e8b1d3f',
'coi_2c4e6a8b0d1f4a3c5e7b9d0f2a4c6e8b',
['custom_object_instance' => ['attributes' => []]],
);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.List;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.customComponents().updateComponentObjectCustomObjectInstance(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
"co_7e9b1d3f5a2c4e6b8d0f2a4c6e8b1d3f",
"coi_2c4e6a8b0d1f4a3c5e7b9d0f2a4c6e8b",
Map.of("custom_object_instance", Map.of("attributes", List.of())));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomComponents.UpdateComponentObjectCustomObjectInstanceAsync(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
"co_7e9b1d3f5a2c4e6b8d0f2a4c6e8b1d3f",
"coi_2c4e6a8b0d1f4a3c5e7b9d0f2a4c6e8b",
new Dictionary<string, object?>
{
["custom_object_instance"] = new Dictionary<string, object?>
{
["attributes"] = new List<object?>(),
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customComponents
.updateComponentObjectCustomObjectInstance(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
'co_7e9b1d3f5a2c4e6b8d0f2a4c6e8b1d3f',
'coi_2c4e6a8b0d1f4a3c5e7b9d0f2a4c6e8b',
{
'custom_object_instance': {'attributes': []},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomComponents().UpdateComponentObjectCustomObjectInstance(context.Background(), "cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d", "a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e", "co_7e9b1d3f5a2c4e6b8d0f2a4c6e8b1d3f", "coi_2c4e6a8b0d1f4a3c5e7b9d0f2a4c6e8b", map[string]any{
"custom_object_instance": map[string]any{"attributes": []any{}},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Custom components
Update a custom object instance on a component object
Changes a custom object instance on a component object.
PATCH
/
components
/
{component_uuid}
/
objects
/
{component_object_id}
/
custom_objects
/
{custom_object_id}
/
instances
/
{instance_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/components/cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d/objects/a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e/custom_objects/co_7e9b1d3f5a2c4e6b8d0f2a4c6e8b1d3f/instances/coi_2c4e6a8b0d1f4a3c5e7b9d0f2a4c6e8b" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"custom_object_instance": {
"attributes": []
}
}'from exsited import build_client
client = build_client()
response = client.custom_components.update_component_object_custom_object_instance(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
"co_7e9b1d3f5a2c4e6b8d0f2a4c6e8b1d3f",
"coi_2c4e6a8b0d1f4a3c5e7b9d0f2a4c6e8b",
{"custom_object_instance": {"attributes": []}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customComponents.updateComponentObjectCustomObjectInstance(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
'co_7e9b1d3f5a2c4e6b8d0f2a4c6e8b1d3f',
'coi_2c4e6a8b0d1f4a3c5e7b9d0f2a4c6e8b',
{custom_object_instance: {attributes: []}},
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customComponents->updateComponentObjectCustomObjectInstance(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
'co_7e9b1d3f5a2c4e6b8d0f2a4c6e8b1d3f',
'coi_2c4e6a8b0d1f4a3c5e7b9d0f2a4c6e8b',
['custom_object_instance' => ['attributes' => []]],
);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.List;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.customComponents().updateComponentObjectCustomObjectInstance(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
"co_7e9b1d3f5a2c4e6b8d0f2a4c6e8b1d3f",
"coi_2c4e6a8b0d1f4a3c5e7b9d0f2a4c6e8b",
Map.of("custom_object_instance", Map.of("attributes", List.of())));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomComponents.UpdateComponentObjectCustomObjectInstanceAsync(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
"co_7e9b1d3f5a2c4e6b8d0f2a4c6e8b1d3f",
"coi_2c4e6a8b0d1f4a3c5e7b9d0f2a4c6e8b",
new Dictionary<string, object?>
{
["custom_object_instance"] = new Dictionary<string, object?>
{
["attributes"] = new List<object?>(),
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customComponents
.updateComponentObjectCustomObjectInstance(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
'co_7e9b1d3f5a2c4e6b8d0f2a4c6e8b1d3f',
'coi_2c4e6a8b0d1f4a3c5e7b9d0f2a4c6e8b',
{
'custom_object_instance': {'attributes': []},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomComponents().UpdateComponentObjectCustomObjectInstance(context.Background(), "cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d", "a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e", "co_7e9b1d3f5a2c4e6b8d0f2a4c6e8b1d3f", "coi_2c4e6a8b0d1f4a3c5e7b9d0f2a4c6e8b", map[string]any{
"custom_object_instance": map[string]any{"attributes": []any{}},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Send the instance’s
attributes list under custom_object_instance, the singular key.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The component definition's id, which starts with cmp_.
The component object's id, as returned when it is created or listed.
The custom object schema's id, which starts with co_.
The custom object instance's id, which starts with coi_.
Body
application/json
Show child attributes
Show child attributes
Response
200
The updated custom object instance.